/** @file MOMOutputCollection.h
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#ifndef MOMOutputCollection_h
#define MOMOutputCollection_h

#if ENABLE(RMAI)

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/text/AtomicString.h>

namespace WebCore {

class MOMOutput;


class MOMOutputCollection : public RefCounted<MOMOutputCollection> {
public:

    static PassRefPtr<MOMOutputCollection> create();

    int length() const;
    bool canGetItemsForName( const String & name );

    PassRefPtr<MOMOutput> item( int index );
    RefPtr<MOMOutput> namedItem( const String & name );

protected:
    MOMOutputCollection();
};

} // namespace WebCore

#endif // ENABLE(RMAI)

#endif // MOMOutputCollection_h
